class SyrusAI {

    static generaContenuto() {

        jQuery('#btn-generazione-contenuto, textarea[name=prompt_generatore_contenuto]').attr('disabled',true);
        jQuery('#btn-generazione-contenuto').text("Generazione in corso...");

        this.makeAjaxCall('syrus-ai-genera-contenuto',{
            prompt: jQuery('textarea[name=prompt_generatore_contenuto]').val(),
        }).then((result) => {

            if(result.status == "success") {
                parent.tinyMCE.activeEditor.setContent(result.result);
                parent.jQuery("#TB_closeWindowButton").click();
            }

            jQuery('#btn-generazione-contenuto, textarea[name=prompt_generatore_contenuto]').attr('disabled',false);
            jQuery('#btn-generazione-contenuto').text("Genera contenuto");
        });
    }

    static makeAjaxCall(action, params) {
        let _params = params;

        _params.action = action;

        return new Promise((resolve, reject) => {
            jQuery.ajax({
                url: syrus_ai_args.ajax_url,
                method: "POST",
                dataType: 'json',
                data: _params,
                success: (data) => {
                    resolve(data);
                },
                error: (error) => {
                    reject(error);
                }
            });
        });
    }
}